#
# spec file for package qrencode
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define so_ver 3

Name:           qrencode
Version:        3.4.3
Release:        5.4
Summary:        C library for encoding data in a QR Code symbol
License:        LGPL-2.1+
Group:          Productivity/Graphics/Other
Url:            http://fukuchi.org/works/qrencode/index.en.html
Source:         http://fukuchi.org/works/qrencode/%{name}-%{version}.tar.bz2
Source1:        baselibs.conf
BuildRequires:  pkg-config
%if !0%{?sles_version}
BuildRequires:  pkgconfig(libpng)
%else
BuildRequires:  libpng-devel
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Libqrencode is a C library for encoding data in a QR Code symbol, a kind of 2D
symbology that can be scanned by handy terminals such as a mobile phone with
CCD. The capacity of QR Code is up to 7000 digits or 4000 characters, and is
highly robust.

%package -n libqrencode%{so_ver}
Summary:        C library for encoding data in a QR Code symbol
Group:          System/Libraries

%description -n libqrencode%{so_ver}
Libqrencode is a C library for encoding data in a QR Code symbol, a kind of 2D
symbology that can be scanned by handy terminals such as a mobile phone with
CCD. The capacity of QR Code is up to 7000 digits or 4000 characters, and is
highly robust.

%package devel
Summary:        C library for encoding data in a QR Code symbol - Development files
Group:          Development/Libraries/C and C++
Requires:       libqrencode%{so_ver} = %{version}

%description devel
Libqrencode is a C library for encoding data in a QR Code symbol, a kind of 2D
symbology that can be scanned by handy terminals such as a mobile phone with
CCD. The capacity of QR Code is up to 7000 digits or 4000 characters, and is
highly robust.

This package contains the development files for libqrencode.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
rm -f %{buildroot}%{_libdir}/*.la

%post -n libqrencode%{so_ver} -p /sbin/ldconfig

%postun -n libqrencode%{so_ver} -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc README TODO NEWS COPYING ChangeLog
%doc %{_mandir}/man1/qrencode.1.gz
%{_bindir}/qrencode

%files -n libqrencode%{so_ver}
%defattr(-,root,root,-)
%{_libdir}/libqrencode.so.%{so_ver}*

%files devel
%defattr(-,root,root,-)
%{_includedir}/qrencode.h
%{_libdir}/libqrencode.so
%{_libdir}/pkgconfig/libqrencode.pc

%changelog
* Thu Sep 11 2014 hrvoje.senjan@gmail.com
- Add baselibs.conf, needed for kdebase4-workspace-libs-32bit
* Sat Nov 16 2013 asterios.dramis@gmail.com
- Update to 3.4.3:
  * New option "--rle" has been added to the command line tool.
  * Bug fixes in the library and command line tool.
* Fri Jul 26 2013 asterios.dramis@gmail.com
- Update to 3.4.2:
  * Memory leak bug has been fixed.
  * Micro QR Code encoding bug has been fixed.
  * String splitting has been improved.
- Removed qrencode-libpng16.patch (fixed upstream).
* Fri Feb 15 2013 pgajdos@suse.com
- build also against libpng16
  * libpng16.patch
* Sun Nov 25 2012 cgiboudeaux@gmx.com
- Fix the SLES build:
  * Replace 'pkgconfig(libpng)'
  * Replace %%make_install
  * BuildRequires: pkg-config
* Thu Nov  8 2012 cgiboudeaux@gmx.com
- Update to 3.4.1
  * A bug that mutual exclusion was not performed has been fixed
  * Colored QR Code support
  * SVG, UTF8, and ANSIUTF8 output supports have been added to the command line tool.
* Tue Oct 16 2012 fcrozat@suse.com
- Remove buildrequires on libSDL-devel, only required when running
  autoreconf, which is not needed at all now.
* Fri Sep 21 2012 fcrozat@suse.com
- Update to 3.3.1:
  + various bug fixes in cli, manual, configure and libtool files.
- Changes from 3.3.0:
  +  EPS, ANSI, and ASCII text output supports have been added.
  +  QRcode_APIVersion() and QRcode_APIVersionString() have been
    added.
- Changes from 3.2.1:
  + bug fixes in configure/libtool.
* Sat Apr 14 2012 dmueller@suse.com
- fix build with older distros
* Sun Jan  1 2012 cgiboudeaux@gmx.com
- Update to 3.2.0
  * Fixed a bug in mask evaluation function.
  * Micro QR Code support is now marked as "experimental" explicitly.
  * Build system fixes
  * Changes over 3.1.1. See the Changelog file
* Wed Nov 23 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Sun May  8 2011 cgiboudeaux@gmx.com
- Add qrencode
